Skip to main content
GET
/
v1
/
worker-addresses
List worker addresses
curl --request GET \
  --url https://api.plane.com/v1/worker-addresses \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.plane.com/v1/worker-addresses"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.plane.com/v1/worker-addresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Parameters

worker
string
Filter by worker ID.
purpose
string
Filter by purpose. One of residential, business, or shipping.
current
boolean
Filter by whether the address is current.
limit
integer
Maximum number of addresses to return.
cursor
string
Pagination cursor from a previous response.
starting_after
string
Return addresses after this worker address ID.
ending_before
string
Return addresses before this worker address ID.

Returns

Returns a list object containing Worker address objects.